<html>
<head>
<title>OgrePixelFormat.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">OgrePixelFormat.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>&quot;</code><br/>
</div>
<p><a href="OgrePixelFormat_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.  <a href="classOgre_1_1PixelBox.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Some utility functions for packing and unpacking pixel data.  <a href="classOgre_1_1PixelUtil.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef vector&lt; PixelFormat &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Image.html#ga7267e8cb21c010de075e82ffbc6a572b">Ogre::PixelFormatList</a></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">Ogre::PixelFormat</a> { <br/>
&#160;&#160;<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caa4292ed700edc51d74776f6efaf2a099">Ogre::PF_UNKNOWN</a> =  0, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca3768d051f35904ebf8f6201d7418d8b0">Ogre::PF_L8</a> =  1, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca1cf8abcb869132891b49e7f50daf7089">Ogre::PF_BYTE_L</a> =  PF_L8, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caae5da8ca83986d2d797611f4198d019e">Ogre::PF_L16</a> =  2, 
<br/>
&#160;&#160;<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca10b290ca956b26e83bfae90cc981a702">Ogre::PF_SHORT_L</a> =  PF_L16, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca7232d786fe8e621fb39677c922713af3">Ogre::PF_A8</a> =  3, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca7e333b6272d7a66213c1c02ad45ea754">Ogre::PF_BYTE_A</a> =  PF_A8, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca6def78fc28fd3bebea2d24d61f134894">Ogre::PF_A4L4</a> =  4, 
<br/>
&#160;&#160;<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cac4780c5502f1ebdc5f5569d3b887249d">Ogre::PF_BYTE_LA</a> =  5, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca8c999dec166c197c19935e6a122c9429">Ogre::PF_R5G6B5</a> =  6, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caff9e5d2b3d56a3ddaa764d9b3e95df1d">Ogre::PF_B5G6R5</a> =  7, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca00c7bec590f83728fc012731d8632ea0">Ogre::PF_R3G3B2</a> =  31, 
<br/>
&#160;&#160;<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca7d8dabde5a33706ce0065a545da7cdbf">Ogre::PF_A4R4G4B4</a> =  8, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca953b1956667f02c5d06a4f89c708beca">Ogre::PF_A1R5G5B5</a> =  9, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca32d32d3a5a8b68c1495d5c494575a6d8">Ogre::PF_R8G8B8</a> =  10, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca6d2975b1eca65162dd4c24b1e180e23d">Ogre::PF_B8G8R8</a> =  11, 
<br/>
&#160;&#160;<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca0d5c9bdb0633c1849758fea566a2b754">Ogre::PF_A8R8G8B8</a> =  12, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cabedff220dc4f3ed679bf246c14ce3df6">Ogre::PF_A8B8G8R8</a> =  13, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cabe2587bd69dbf21806c40fe1c82a22ef">Ogre::PF_B8G8R8A8</a> =  14, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca74ea3b1c0c5f4ae06b1a7136c5523eca">Ogre::PF_R8G8B8A8</a> =  28, 
<br/>
&#160;&#160;<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca2542d39f6712cb6f69907330a31a9342">Ogre::PF_X8R8G8B8</a> =  26, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca32ab31260e738578912b5797406867ec">Ogre::PF_X8B8G8R8</a> =  27, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caa2fa4ac766d61fa65b4c86ea5c035218">Ogre::PF_BYTE_RGB</a> =  PF_B8G8R8, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca5e30f679089407e29f6cff86101daed9">Ogre::PF_BYTE_BGR</a> =  PF_R8G8B8, 
<br/>
&#160;&#160;<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca8048c85373860a1893d237ac89d3712f">Ogre::PF_BYTE_BGRA</a> =  PF_A8R8G8B8, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cae0afb06af1cb73f624e66540c64bb2cb">Ogre::PF_BYTE_RGBA</a> =  PF_A8B8G8R8, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca134a9e452ee64c35921f5ce518c90f89">Ogre::PF_A2R10G10B10</a> =  15, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca383f7cd3ec0a48beff43f1c07a0a9e08">Ogre::PF_A2B10G10R10</a> =  16, 
<br/>
&#160;&#160;<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca502daed32e87628ed5a570349cc3a365">Ogre::PF_DXT1</a> =  17, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cabab4b525ed0f13723c54a1a7da8bcbb6">Ogre::PF_DXT2</a> =  18, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca8cdfa2821acc653732e0a0f855b05057">Ogre::PF_DXT3</a> =  19, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca8d3736e589a038b18f5a4e11a942d50d">Ogre::PF_DXT4</a> =  20, 
<br/>
&#160;&#160;<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca9fb5bd78b703661f41fc3ae06a3404ce">Ogre::PF_DXT5</a> =  21, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cab63dbcddd53d1f766d742fd557c26be4">Ogre::PF_FLOAT16_R</a> =  32, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caba6d399bba73f13acee7497b0dce9d6a">Ogre::PF_FLOAT16_RGB</a> =  22, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caf91793bc9707d6541f4851722267317a">Ogre::PF_FLOAT16_RGBA</a> =  23, 
<br/>
&#160;&#160;<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca2da3ec4fe727d552337e02069cd9efd9">Ogre::PF_FLOAT32_R</a> =  33, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca8bd985050584e5ec421f8afc90634ea3">Ogre::PF_FLOAT32_RGB</a> =  24, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca1fe97e102d975ff9d70dc329f5d794ec">Ogre::PF_FLOAT32_RGBA</a> =  25, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cac7db24f02e2110aee18dcc2535d5755d">Ogre::PF_FLOAT16_GR</a> =  35, 
<br/>
&#160;&#160;<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca0f4697d37ebb958247166694666b0b3f">Ogre::PF_FLOAT32_GR</a> =  36, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caa9a73e89b0461099bd6e707e407e1aa5">Ogre::PF_DEPTH</a> =  29, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca0a88817c662a408aac3077199b0498e8">Ogre::PF_SHORT_RGBA</a> =  30, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca7dbc4fa24cdbf90139bc60e771ad58a0">Ogre::PF_SHORT_GR</a> =  34, 
<br/>
&#160;&#160;<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca734a52bfdd9b7f44805f6ef8f96a6224">Ogre::PF_SHORT_RGB</a> =  37, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cad1cafabc495bc6276a35efb4a6509801">Ogre::PF_PVRTC_RGB2</a> =  38, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca5b4b981ed59cf84a234ce673c4ba41cd">Ogre::PF_PVRTC_RGBA2</a> =  39, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca1eb36d25f51656c7553f9461638da350">Ogre::PF_PVRTC_RGB4</a> =  40, 
<br/>
&#160;&#160;<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca9e298c62006c2d8c521fa783ef966b98">Ogre::PF_PVRTC_RGBA4</a> =  41, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cac9a846decc5febd638272391346c0a97">Ogre::PF_R8</a> =  42, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caf989cdb2a57a8ae4f0e9618e2fc411b1">Ogre::PF_RG8</a> =  43, 
<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca44469cb753c29f07cba54678a57319a1">Ogre::PF_COUNT</a> =  44
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The pixel format used for images, textures, and render surfaces.  <a href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Image.html#ga7d83be5f58ab829ae3c94ddcf7b68bab">Ogre::PixelFormatFlags</a> { <br/>
&#160;&#160;<a class="el" href="group__Image.html#gga7d83be5f58ab829ae3c94ddcf7b68baba5a5420b4748d6fa0315bcfe592224671">Ogre::PFF_HASALPHA</a> =  0x00000001, 
<a class="el" href="group__Image.html#gga7d83be5f58ab829ae3c94ddcf7b68babadc2837f5c89ddec07247a374cee587a8">Ogre::PFF_COMPRESSED</a> =  0x00000002, 
<a class="el" href="group__Image.html#gga7d83be5f58ab829ae3c94ddcf7b68baba212e4f47a7e014eef28315e2d1ffcdc2">Ogre::PFF_FLOAT</a> =  0x00000004, 
<a class="el" href="group__Image.html#gga7d83be5f58ab829ae3c94ddcf7b68baba59f8dc2c75447edfa72e8d8361ce00a0">Ogre::PFF_DEPTH</a> =  0x00000008, 
<br/>
&#160;&#160;<a class="el" href="group__Image.html#gga7d83be5f58ab829ae3c94ddcf7b68baba1fe2f5a4cbcca90fe4d97f3495ebddaf">Ogre::PFF_NATIVEENDIAN</a> =  0x00000010, 
<a class="el" href="group__Image.html#gga7d83be5f58ab829ae3c94ddcf7b68baba16054f98e65973baaaf0a7906d4597a4">Ogre::PFF_LUMINANCE</a> =  0x00000020
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Flags defining some on/off properties of pixel formats.  <a href="group__Image.html#ga7d83be5f58ab829ae3c94ddcf7b68bab">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">Ogre::PixelComponentType</a> { <br/>
&#160;&#160;<a class="el" href="group__Image.html#ggac8f59c884998d9f84d9ea4c66e4c29fea99e711d125921bab18616e433a8a7a4f">Ogre::PCT_BYTE</a> =  0, 
<a class="el" href="group__Image.html#ggac8f59c884998d9f84d9ea4c66e4c29fea727e4867d2bdb1cbcbbe6649877afa8d">Ogre::PCT_SHORT</a> =  1, 
<a class="el" href="group__Image.html#ggac8f59c884998d9f84d9ea4c66e4c29fea0392260bc6fed0f2fdda641869de4b38">Ogre::PCT_FLOAT16</a> =  2, 
<a class="el" href="group__Image.html#ggac8f59c884998d9f84d9ea4c66e4c29fea2baaf25269658514c08f895b965a3ad6">Ogre::PCT_FLOAT32</a> =  3, 
<br/>
&#160;&#160;<a class="el" href="group__Image.html#ggac8f59c884998d9f84d9ea4c66e4c29fea9966a610c32b0e690c91a553b7b8a45e">Ogre::PCT_COUNT</a> =  4
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Pixel component format.  <a href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">More...</a><br/></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
